# Uses of Interface
org.apache.zookeeper.server.RequestRecord

Packages that use RequestRecord
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.quorum

## Uses of RequestRecord in org.apache.zookeeper.server

Classes in org.apache.zookeeper.server that implement RequestRecord
Modifier and Type
Class
Description
`class`
`ByteBufferRequestRecord`
`class`
`SimpleRequestRecord`
Methods in org.apache.zookeeper.server that return RequestRecord
Modifier and Type
Method
Description
`static RequestRecord`
RequestRecord.`fromBytes(byte[] bytes)`
`static RequestRecord`
RequestRecord.`fromBytes(ByteBuffer buffer)`
`static RequestRecord`
RequestRecord.`fromRecord(Record record)`
Methods in org.apache.zookeeper.server with parameters of type RequestRecord
Modifier and Type
Method
Description
`void`
ZooKeeperServer.`processPacket(ServerCnxn cnxn, RequestHeader h, RequestRecord request)`
Constructors in org.apache.zookeeper.server with parameters of type RequestRecord
Modifier
Constructor
Description
``
`Request(ServerCnxn cnxn, long sessionId, int xid, int type, RequestRecord request, List<Id> authInfo)`

## Uses of RequestRecord in org.apache.zookeeper.server.quorum

Constructors in org.apache.zookeeper.server.quorum with parameters of type RequestRecord
Modifier
Constructor
Description
``
`LearnerSyncRequest(LearnerHandler fh, long sessionId, int xid, int type, RequestRecord request, List<Id> authInfo)`